"""
# Copyright (C) 2013-2016 Stray <stray411@hotmail.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For questions regarding this module contact
# Stray <stray411@hotmail.com>
"""

# emacs-mode: -*- python-*-
# -*- coding: utf-8 -*-

import Live
from _Framework.DeviceComponent import DeviceComponent
    
class SMDevice(DeviceComponent):
    _module__ = __name__
    __doc__ = " Modified DeviceComponent that properly handles Device on/off update for 9.1.1 and earlier (not needed in 9.1.2 and later). "
    
    def __init__(self):
        DeviceComponent.__init__(self)
        
        
    def update(self):
        DeviceComponent.update(self)
        try: self._on_on_off_changed()    
        except: pass

# local variables:
# tab-width: 4

